﻿package 
{
	import flash.display.Sprite;
	import flash.display.StageDisplayState;
	import flash.events.Event;
	import flash.events.FullScreenEvent;
	import flash.events.MouseEvent;

	public class Graph extends Sprite
	{
		private var limit:Number = 100;
		private var counter:Number =20;
		public function Graph()
		{
			addEventListener(Event.ADDED_TO_STAGE,added_handler);	
		}
		public function added_handler(e:Event):void
		{
			drawStage(stage.stageWidth,stage.stageHeight);
			stage.addEventListener(MouseEvent.MOUSE_MOVE, double_handler);
			stage.addEventListener(FullScreenEvent.FULL_SCREEN,fullhandler);
		}
		
		private function fullhandler(e:FullScreenEvent):void
		{
			graphics.clear();
			drawStage(stage.stageWidth,stage.stageHeight);
			eraseAll();
		}
		
		private function double_handler(e:MouseEvent):void
		{
			if(counter>limit){
				eraseAll();
			}
			var boule:Point = new Point(stage.stageWidth,stage.stageHeight);
			addChild(boule);
			counter = counter - 10;
		}
		
		private function eraseAll():void
		{
			while(numChildren>4){
				this.removeChildAt(0);
			}
			counter = 10;
		}
		
		private function drawStage(stageWidth:Number,stageHeight:Number):void
		{	
			//graphics.lineStyle(1,0xff0000,.3);
			graphics.moveTo(stageWidth/10,5);
			graphics.lineTo(stageWidth/4,stageWidth);
			graphics.moveTo(10,stageHeight/2);
			graphics.lineTo(stageWidth,stageHeight/10);
		}
		
	}
}
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.display.Stage;
	import flash.display.BitmapData;
	
class Point extends Sprite
{
	private var angle:Number = 1;
	private var r1:Number;
	private var r2:Number; 
	private var orientation:Number;
	private var sW:Number;
	private var sH:Number;
	public function Point(stageWidth:Number,stageHeight:Number):void
	{
		r1 = Math.random()*stageWidth/2;
		r2 = Math.random()*stageHeight/6;
		sW = stageWidth;
		sH = stageHeight;
		orientation = Math.round(2-Math.random()*2);
		if(orientation ==5){orientation = orientation + 40;}
		graphics.beginFill(Math.random()*0x000cfd,8);
		graphics.drawRect(100,1,5,(Math.random()*40+100));
		graphics.endFill();
		addEventListener(Event.ENTER_FRAME, onEnterFrame);
		//addEventListener(Event.REMOVED, removedHandler);
	}
	private function removedHandler(e:Event):void
	{
		//e.currentTarget.removeEventListener(Event.ENTER_FRAME,onEnterFrame);
	}
	private function onEnterFrame(e:Event):void
	{
		x = sW/3 + Math.cos(angle*Math.PI/10)*r1;
		y = sH/3 - Math.sin(angle*Math.PI/110)*r2*orientation;
		angle = angle + 10;
	}
}